- @no_breadcrumb_container = false
- @no_container = true
- @content_class = 'limit-container-width' unless fluid_layout

- epic_reference = @epic.to_reference
- sub_epics_feature_available = @group.feature_available?(:subepics)
- issuable_health_status_feature_available = @group.feature_available?(:issuable_health_status)

- allow_sub_epics = sub_epics_feature_available ? 'true' : 'false'
- allow_issuable_health_status = issuable_health_status_feature_available ? 'true' : 'false'

- add_to_breadcrumbs _("Epics"), group_epics_path(@group)
- breadcrumb_title epic_reference

- page_title           "#{@epic.title} (#{epic_reference})", _("Epics")
- page_description     @epic.description_html

- page_card_attributes @epic.card_attributes
- add_page_specific_style 'page_bundles/epics'
- add_page_specific_style 'page_bundles/roadmap'

- add_page_startup_api_call discussions_path(@epic)
- add_page_startup_graphql_call('epic/epic_details', { fullPath: @group.full_path, iid: @epic.iid })
- add_page_startup_graphql_call('epic/epic_children', { fullPath: @group.full_path, iid: @epic.iid, pageSize: 100, epicEndCursor: '', issueEndCursor: '' })

%div{ class: ['js-epic-container', container_class, @content_class] }
  #epic-app-root{ data: epic_show_app_data(@epic),
    'data-allow-sub-epics' => allow_sub_epics }

  .epic-tabs-holder
    .epic-tabs-container.js-epic-tabs-container{ data: { allow_sub_epics: allow_sub_epics } }
      %ul.epic-tabs.nav-tabs.nav.nav-links.scrolling-tabs
        %li.tree-tab
          %a#tree-tab.active{ href: '#tree', data: { toggle: 'tab' } }
            - if sub_epics_feature_available
              = _('Epics and Issues')
            - else
              = _('Issues')
        - if sub_epics_feature_available
          %li.roadmap-tab
            %a#roadmap-tab{ href: '#roadmap', data: { toggle: 'tab' } }
              = _('Roadmap')

  .tab-content.epic-tabs-content.js-epic-tabs-content
    #tree.tab-pane.show.active
      .row
        %section.col-md-12
          #js-tree{ data: { id: @epic.to_global_id,
            numerical_id: @epic.id,
            iid: @epic.iid,
            group_id: @group.id,
            full_path: @group.full_path,
            auto_complete_epics: 'true',
            auto_complete_issues: 'true',
            user_signed_in: current_user.present? ? 'true' : 'false',
            allow_sub_epics: allow_sub_epics,
            allow_issuable_health_status: allow_issuable_health_status,
            initial: issuable_initial_data(@epic).to_json } }
    - if sub_epics_feature_available
      #roadmap.tab-pane
        .row
          %section.col-md-12
            #js-roadmap{ data: { epics_path: group_epics_path(@group, parent_id: @epic.id, format: :json),
              group_id: @group.id,
              iid: @epic.iid,
              full_path: @group.full_path,
              empty_state_illustration: image_path('illustrations/epics/roadmap.svg'),
              has_filters_applied: 'false',
              new_epic_endpoint: group_epics_path(@group),
              preset_type: roadmap_layout,
              epics_state: 'all',
              sorted_by: roadmap_sort_order,
              inner_height: '600',
              child_epics: 'true' } }
  %hr.epic-discussion-separator.mt-1.mb-0
  .d-flex.justify-content-between.content-block.content-block-small.emoji-list-container.js-noteable-awards
    = render 'award_emoji/awards_block', awardable: @epic, inline: true
    .d-flex.flex-wrap.align-items-center.justify-content-lg-end
      #js-vue-sort-issue-discussions
      #js-vue-discussion-filter{ data: { default_filter: current_user&.notes_filter_for(@epic),
        notes_filters: UserPreference.notes_filters.to_json } }
  .row
    %section.col-md-12
      %script.js-notes-data{ type: "application/json" }= initial_notes_data(true).to_json.html_safe
      .issuable-discussion
        = render 'discussion'
